<?php 
		session_start();
		
		if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../../index.php';
		</script>
		<?php 
		
		}

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
 
    <title>ADMINISTRADOR DE SUCURSALES</title>
    <link rel="stylesheet" type="text/css" href="css/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="css/jquery-ui.css">
	<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
   <script type="text/javascript" language="javascript" src="js/jquery-1.11.3.js"></script>
   <script type="text/javascript" language="javascript" src="js/jquery-ui.js"></script>
	<script src="bootstrap/js/bootstrap.min.js"></script>
	<script type="text/javascript" language="javascript" src="js/jquery.dataTables.js"></script> 
	<?php require_once("datos.php"); ?>	
	
    <script type="text/javascript" language="javascript" class="init">
	
	
	
$(window).load(function(){   

    fnRet();
	$("#mensajeFinal").fadeOut(3000);
});


function fnRet() {
    var datos, columnas, results;
	columnas = [
                { data: 'num', title : 'NRO' },
                { data: 'codigo',  title : 'COD' },
				{ data: 'nombre',  title : 'NOMBRE' }
				];
  	datos = [<?php datosSucursal(); ?>];
	

    var rows = 1;
    var table;
    
/* 			$("#spr tbody tr").click(function() {
		var tableData = $(this).children("td").map(function() {
			return $(this).text();
		}).get();

		alert("Your data is: " + $.trim(tableData[0]) + " , " + $.trim(tableData[1]) + " , " + $.trim(tableData[2]));
		}); */
	
if ( $.fn.DataTable.isDataTable( '#spr' ) ) {
    $('#spr').DataTable().destroy();
    $('#spr').empty();
 };
    
    table = $('#spr').DataTable({
	  "columns": [
		{ "width": "20%" },
		{ "width": "20%" },
		{ "width": "60%" }
	  ],
      "destroy": true,
      "sort" : true,
      "cache": true,
      "searching": true,
      "scrollX": true,
      "dom": 'T<"clear">lfrtip',
      "lengthMenu": [ [5, 10, 25,-1], [5, 10, 25,"Todos"] ],
      "displayLength": 10,
      "order": [ 0, 'asc' ],
      "data": datos,
      "columns": columnas,
	   language: {
        processing:     "Procesando...",
        search:         "Buscar:",
        lengthMenu:    	"Mostrar _MENU_ registros por página",
        info:           "Mostrando la página _PAGE_ de _PAGES_",
        infoEmpty:      "No hay registros disponibles",
        infoFiltered:   "(filtrando _MAX_ registros)",
        infoPostFix:    "",
        loadingRecords: "Cargando registros...",
        zeroRecords:    "No se encontró nada.",
        emptyTable:     "No hay registros",
        paginate: {
            first:      "Primero",
            previous:   "Anterior",
            next:       "Siguiente",
            last:       "Último"
        },
        aria: {
            sortAscending:  ": activa para ordernar de forma ascendente la columna",
            sortDescending: ": activa para ordernar de forma descendente la columna"
        }
	  }
	 

    });
   
	$('#spr tbody').on( 'click', 'tr', function () {
	    
        if ( $(this).hasClass('selected') ) {
                  $(this).removeClass('selected');
        } else {
                    table.$('tr.selected').removeClass('selected');
                    $(this).addClass('selected');
					var codigoSucursal = table.cell('.selected', 1).data(); // OBTENEMOS EL DATO DE LA TABLA (CODIGO DE VENDEDOR)
					var nombreSucursal = table.cell('.selected', 2).data(); // OBTENEMOS EL DATO DE LA TABLA (RUT DE VENDEDOR)
					$("#codigoSucursal").val(codigoSucursal);
					$("#nombreSucursal").val(nombreSucursal);
					
				
					
					//alert('ID: '+idFunc+' RUT:'+rutFunc);
        }    
		
    });
   


 ///   $('.dataTables_filter').remove();
 };

    </script>
</head>
 <style>
 div.container {
        width: 35%;
		margin: 0 auto;
		display: block;
    }
	div#sucursales {
		float:right;
		 width: 40%;
	}
	.dataTables_scrollHeadInner{
		width:100%;
		
	}
.no-footer.dataTables_wrapper DIV.dataTables_scrollHead TABLE  {
	 
	 width:100%;
	 
 }
 div#mensajeFinal {
	font-size: large;
    font-weight: bold;
    font-family: sans-serif;
    border-color: #E00B0B;
    border-width: 3px;
    width: 211px;
    height: 33px;
    border-style: solid;
    text-align: center;
}
div#titulo {
    text-align: center;
    font-size: xx-large;
}
 </style>
<body>
<div id="titulo">ADMINISTRADOR DE SUCURSALES</div>
<!-- <button onclick="fnRet()">Retrieve</button> -->
<div class="container" id = "table-div">

<br>
<?
	if($_SESSION["EstadoGuardado"]=="1"){
	 ?>
	<div id="mensajeFinal">
	<? echo $_SESSION["mensajeFinal"]; ?>
	<!-- <script>alert('<? //echo $_SESSION["mensajeFinal"]; ?>');</script> -->
	</div>
	<?  $_SESSION["EstadoGuardado"]="0"; ?>
<? 	} 	?>
    <table id="spr" class="display" width = "100%" cellspacing="0">
	<thead></thead>
	<tbody></tbody>
    </table>
	<!--  onClick="var m=marcador();if(m!='')evento('tb_mant_funcionarios_for.php?evento=upda&id='+m+'&','input');" -->
	<!-- onclick="javascript:if(confirm('¿Desea eliminar este registro?')) {m=marcador();if(m!=''){document.getElementById('id').value=m;document.eliminar.submit();}}" -->

	
   <?php
		require_once("../../conexion/sb_conexion.php");

		$id_autoriza = 68;
		$id_empresa = $_SESSION['ss_empresa'];
		$id_user = $_SESSION['ss_user'];
		
		
		
		$bd=Db::getInstance();
		
		$bd->proceso($id_empresa);
		
		
		$Q1="SELECT * FROM menu_autoriza WHERE id_menu_nombres =".$id_autoriza." AND id_usuario=".$id_user." AND id_empresa=".$id_empresa."";
		
		$stmtQ1=$bd->ejecutar($Q1);		
		$filas = 0;
			
			
			
				while ($fila = $bd->obtener_fila($stmtQ1,0)){
					$filas++;
					$crear = $fila['crear'];   
					//$crear = "0"; // BOTON "NUEVO" DESACTIVADO HASTA NUEVO AVISO
					$editar = $fila['editar'];
					$grabar = $fila['grabar'];
					$eliminar = $fila['eliminar'];
				}	 
	
	?>
  
	<table>
		<tr>
		 <td><input type="button" class="btn btn-info" 		id="nuevo" 		<?php if($crear=="0"){ echo 'style="display:none;"';} ?> 	value="NUEVO" /></td>
		 <td><input type="button" class="btn btn-success" 	id="editar" 	<?php if($editar=="0"){ echo 'style="display:none;"';} ?>	value="EDITAR" /></td>
		 <td><input type="button" class="btn btn-danger" 	id="eliminar" 	<?php if($eliminar=="0"){ echo 'style="display:none;"';} ?>	value="ELIMINAR"  /></td>
		 <td><input type="button" class="btn btn-primary" 	id="salir" 		value="SALIR" onClick="window.close();" /></td>
		</tr>
	</table> 
	
</div>

<!-- INICIO VENTANA DETALLE Sucursal PARA EDICION -->

<div id="datallesSucursal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" style="width:500px; margin:0 auto;">
        <div class="modal-content" style=" margin-left: -163px; margin:0 auto;">
			<form action="editarSucursal.php" method="post">
               <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">×</button>
                <h3>SUCURSAL SELECCIONADA</h3>
            </div>
		
            <div class="modal-body" id="tablaSucursal">
			<div class="row">
				<div class="col-xs-6 col-md-4">CODIGO</div>
				<div class="col-xs-6 col-md-4">NOMBRE</div>
			<!-- 	<div class="col-xs-6 col-md-4">ACTIVO</div> -->
			</div>
			<div class="row">
				<div class="col-xs-6 col-md-4"><input type="text" class="form-control" readonly="readonly" /></div>
				<div class="col-xs-6 col-md-4"><input type="text" class="form-control" /></div>
			<!-- 	<div class="col-xs-6 col-md-4"><input type="checkbox" id="check" class="form-control" /></div> -->
			</div>
			
            </div>
			<script>

			</script>
            <div class="modal-footer"> 
                <a href="#" class="btn btn-danger" data-dismiss="modal">Cerrar</a>
				<?
					if($bd->int_ver()==1){
							echo "PROCESO&nbsp;:&nbsp;".$bd->int_mesactual()." - ".$bd->int_anoactual()."&nbsp;&nbsp;(VER)";
					}else{
						?>
					<button type="submit" class="btn btn-primary" id="guardarFunc" value="">Guardar Cambios</button>
						<?
					}
					
				?>
             
            </div>
			</form>
        </div>
    </div>
</div>


<!-- FIN DE VENTANA EMERGENTE O MODAL PARA EDICION -->

<input type="hidden" id="codigoSucursal" />
<input type="hidden" id="nombreSucursal" />

<!-- INICIO VENTANA DETALLE Sucursal PARA ELIMINAR -->
<div id="mensajeAlerta" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" style="width:500px; margin:0 auto;">
        <div class="modal-content" style=" margin-left: -163px; margin:0 auto;">

				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">×</button>
					<h3>SUCURSAL</h3>
				</div>
				<div class="modal-body" id="accionEliminar">
				Se procederá a eliminar la Sucursal. ¿Estas seguro de querer hacerlo?
				</div>
				<div class="modal-footer"> 
				 <a href="#" class="btn btn-danger" data-dismiss="modal">Cerrar</a>
				<?
					if($bd->int_ver()==1){
							echo "PROCESO&nbsp;:&nbsp;".$bd->int_mesactual()." - ".$bd->int_anoactual()."&nbsp;&nbsp;(VER)";
					}else{
						?>
					<button type="button" class="btn btn-primary" id="eliminarSucursal" value="">Eliminar Sucursal</button>
						<?
					}
					
				?>
             
				</div>
	
		</div>
	</div>
</div>
<!-- FIN DE VENTANA EMERGENTE O MODAL PARA ELIMINAR -->

<!-- INICIO VENTANA DETALLE Sucursal PARA INSERTAR -->
<div id="nuevoSucursal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" style="width:500px; margin:0 auto;">
        <div class="modal-content" style=" margin-left: -163px; margin:0 auto;">
			<form action="crearSucursal.php" method="post"> 
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">×</button>
					<h3>NUEVA SUCURSAL</h3>
				</div>
				<div class="modal-body" id="accionEliminar">
	
				<table  border="0"  cellpadding="0" cellspacing="3" style="font-size:18px" align="center" >

				  <tr style="color:#21426B;">
					<th style="background-color:threedface; color:#21426B;" scope="row" align="right">
						&nbsp;Codigo:
					</th>
					<td align="left">&nbsp;
					
						<input name="campo['Codigo_Empresa_Sucursal']" type="hidden" value="<? echo $_SESSION["ss_empresa"]; ?>" />
						<input name="campo['Activo_Sucursal']" type="hidden" value="S" />
					</td>
				  </tr>
				  <tr style="color:#21426B;">
					<th style="background-color:threedface" scope="row" align="right">&nbsp;Nombre:</th>
					<td align="left" >
						&nbsp;
						<input name="campo['Nombre_Sucursal']" type="text" size="30" value="" />
					</td>   
				  </tr>
				  <tr  style="color:#21426B;">
				  
				</table>
				</div>
				<div class="modal-footer"> 
				 <a href="#" class="btn btn-danger" data-dismiss="modal">Cerrar</a>
				<?
					if($bd->int_ver()==1){
							echo "PROCESO&nbsp;:&nbsp;".$bd->int_mesactual()." - ".$bd->int_anoactual()."&nbsp;&nbsp;(VER)";
					}else{
						?>
					<button type="submit" class="btn btn-primary" id="crearSucursal" value="">Crear Sucursal</button>
						<?
					}
					
				?>
             
				</div>
			</form> 
		</div>
	</div>
</div>
<!-- FIN DE VENTANA EMERGENTE O MODAL PARA INSERTAR -->

<script src="js/detalleSucursal.js"></script>
<script src="js/eliminarSucursal.js"></script>
	<script>


		
		$( "#editar" ).click(function() {
			var codigoSucursal = $("#codigoSucursal").val();
			var nombreSucursal = $("#nombreSucursal").val();
	
			if(codigoSucursal!=""){
				$('#datallesSucursal').modal({
					show: true
				});
				detalleSucursal(codigoSucursal, nombreSucursal);
			}
		});
		
		$( "#eliminar" ).click(function() {
			
			var codigoSucursal = $("#codigoSucursal").val();
				if(codigoSucursal!=""){
					$('#mensajeAlerta').modal({
						show: true
					});
				}
		
		});
	$('#mensajeAlerta').on('hidden.bs.modal', function () {
		$("#codigoSucursal").val("");
		$("#spr tbody tr.selected").removeClass('selected');
	});
	$('#datallesSucursal').on('hidden.bs.modal', function () {
		$("#codigoSucursal").val("");
		$("#nombreSucursal").val("");
		 $("#spr tbody tr.selected").removeClass('selected');
	});	
		$( "#nuevo" ).click(function() {
			
			$("#spr tbody tr.selected").removeClass('selected');
			$("#codigoSucursal").val("");
			$("#nombreSucursal").val("");
			
					$('#nuevoSucursal').modal({
						show: true
					});
				
		
		});
	
		$( "#eliminarSucursal" ).click(function() {
			var codigoSucursal = $("#codigoSucursal").val();
			var r = confirm("Seguro quieres eliminar la Sucursal seleccionado?");
			if (r == true) {
				eliminarSucursal(codigoSucursal);
			}
		});
	
	</script>

    <!-- Include all compiled plugins (below), or include individual files as needed -->
    
</body>
</html>